BEGIN;


CREATE TABLE %prefix%_config (
   id varchar(20) NOT NULL DEFAULT '',
  config TEXT DEFAULT '' NOT NULL,
  PRIMARY KEY  (id) 
);

CREATE TABLE %prefix%_online (
   id varchar(40) NOT NULL DEFAULT '',
  time INT8 DEFAULT NULL,
  uid INT4  NOT NULL DEFAULT '0',
  PRIMARY KEY  (id) 
);



--
-- Sequences for table %PREFIX%_USERS
--

CREATE SEQUENCE %prefix%_users_uid_seq;

CREATE TABLE %prefix%_users (
   uid INT4 DEFAULT nextval('%prefix%_users_uid_seq'),
  name varchar(20) NOT NULL DEFAULT '',
  password varchar(32) NOT NULL DEFAULT '',
  class VARCHAR(8) CHECK(class in('normal','admin')) NOT NULL DEFAULT 'normal',
  realname varchar(40) DEFAULT NULL,
  email varchar(50) NOT NULL DEFAULT '',
  question1 varchar(20) NOT NULL DEFAULT '',
  question2 varchar(20) NOT NULL DEFAULT '',
  url varchar(127) DEFAULT NULL,
  receivenews BOOL NOT NULL DEFAULT 'N',
  receiverel BOOL NOT NULL DEFAULT 'N',
  country varchar(30) NOT NULL DEFAULT '',
  city varchar(30) DEFAULT NULL,
  state varchar(4) DEFAULT NULL,
  icq varchar(12) DEFAULT NULL,
  aim varchar(12) DEFAULT NULL,
  sex VARCHAR(8) CHECK(sex in('Men','Women')) DEFAULT NULL,
  session varchar(32) NOT NULL DEFAULT '',
  active BOOL NOT NULL DEFAULT 'N',
  comments text,
  newsposted INT4  NOT NULL DEFAULT '0',
  commentsposted INT4  NOT NULL DEFAULT '0',
  faqposted INT4  NOT NULL DEFAULT '0',
  topicsposted INT4  NOT NULL DEFAULT '0',
  dateregistered TIMESTAMP NOT NULL DEFAULT '0001-01-01 00:00:00',
  dateactivated TIMESTAMP NOT NULL DEFAULT '0001-01-01 00:00:00',
  lastvisit TIMESTAMP NOT NULL DEFAULT '0001-01-01 00:00:00',
  logins INT4  NOT NULL DEFAULT '0',
  newemail varchar(50) DEFAULT NULL,
  newemailsess varchar(32) DEFAULT NULL,
  avatar varchar(20) DEFAULT NULL,
  signature TEXT DEFAULT '' NOT NULL,
  PRIMARY KEY  (uid)
);

CREATE TABLE %prefix%_user_access (
   userid INT4  NOT NULL DEFAULT '0',
  module char(20) NOT NULL DEFAULT '',
  PRIMARY KEY  (userid,module) 
);

CREATE TABLE %prefix%_user_book (
   userid INT4  NOT NULL DEFAULT '0',
  cod_user INT4  NOT NULL DEFAULT '0',
  PRIMARY KEY  (userid,cod_user) 
);

CREATE TABLE %prefix%_menu (
   pos INT2  NOT NULL DEFAULT '0',
  title varchar(30) NOT NULL DEFAULT '',
  url varchar(127) NOT NULL DEFAULT '',
  type VARCHAR(1) CHECK(type in('A','L','N')) NOT NULL DEFAULT 'A',
  newwindow BOOL NOT NULL DEFAULT 'N',
  PRIMARY KEY (pos),
  CHECK (pos>=0)

);



--
-- Sequences for table %PREFIX%_COMMENTS
--

CREATE SEQUENCE %prefix%_comments_cod_seq;

CREATE TABLE %prefix%_comments (
   cod INT4 DEFAULT nextval('%prefix%_comments_cod_seq'),
  type INT2  NOT NULL DEFAULT '0',
  link INT4  NOT NULL DEFAULT '0',
  DATE TIMESTAMP NOT NULL DEFAULT '0001-01-01 00:00:00',
  userid INT4  NOT NULL DEFAULT '0',
  comment TEXT DEFAULT '' NOT NULL,
  PRIMARY KEY  (cod)
);



--
-- Sequences for table %PREFIX%_DOWNLOADSCAT
--

CREATE SEQUENCE %prefix%_downloadscat_cod_se;

CREATE TABLE %prefix%_downloadscat (
  cod INT4 DEFAULT nextval('%prefix%_downloadscat_cod_se'),
  ref INT4 NOT NULL DEFAULT '0',
  name varchar(80) NOT NULL DEFAULT '',
  descr TEXT DEFAULT '' NOT NULL,
  PRIMARY KEY  (cod) 
);



--
-- Sequences for table %PREFIX%_DOWNLOADS
--

CREATE SEQUENCE %prefix%_downloads_id_seq;

CREATE TABLE %prefix%_downloads (
   id INT4 DEFAULT nextval('%prefix%_downloads_id_seq'),
  category INT4  NOT NULL DEFAULT '0',
  name varchar(30) NOT NULL DEFAULT '',
  active BOOL  DEFAULT 'N' NOT NULL,
  url varchar(255) NOT NULL DEFAULT '',
  DATE TIMESTAMP NOT NULL DEFAULT '0001-01-01 00:00:00',
  size INT4  NOT NULL DEFAULT '0',
  count INT4  NOT NULL DEFAULT '0',
  rate_sum INT4  NOT NULL DEFAULT '0',
  rate_count INT4  NOT NULL DEFAULT '0',
  short_description TEXT DEFAULT '' NOT NULL,
  description TEXT DEFAULT '' NOT NULL,
  small_picture varchar(40) NOT NULL DEFAULT 'none',
  big_picture varchar(40) NOT NULL DEFAULT 'none',
  author_name VARCHAR(30),
  author_email VARCHAR(50),
  comments TEXT,
  url_screenshot VARCHAR(127),
  license VARCHAR(1) CHECK(type in('Y','N')) NOT NULL DEFAULT 'N',
  PRIMARY KEY  (id)
);



--
-- Sequences for table %PREFIX%_FAQ_TOPICS
--

CREATE SEQUENCE %prefix%_faq_topics_cod_seq;

CREATE TABLE %prefix%_faq_topics (
   cod INT4 DEFAULT nextval('%prefix%_faq_topics_cod_seq'),
  name varchar(80) NOT NULL DEFAULT '',
  PRIMARY KEY  (cod) 
);



--
-- Sequences for table %PREFIX%_FAQ
--

CREATE SEQUENCE %prefix%_faq_cod_seq;

CREATE TABLE %prefix%_faq (
   cod INT4 DEFAULT nextval('%prefix%_faq_cod_seq'),
  topic INT4  NOT NULL DEFAULT '0',
  uid INT4  NOT NULL DEFAULT '0',
  active char(1) NOT NULL DEFAULT 'N',
  question_ori TEXT DEFAULT '' NOT NULL,
  question TEXT DEFAULT '' NOT NULL,
  answer_ori TEXT DEFAULT '' NOT NULL,
  answer TEXT DEFAULT '' NOT NULL,
  PRIMARY KEY  (cod)
);



--
-- Sequences for table %PREFIX%_LINKSCAT
--

CREATE SEQUENCE %prefix%_linkscat_cod_seq;

CREATE TABLE %prefix%_linkscat (
    cod INT4 DEFAULT nextval('%prefix%_linkscat_cod_seq'),
   name varchar(80) NOT NULL,
   descr TEXT DEFAULT '' NOT NULL,
   parent_id INT  DEFAULT '0' NOT NULL,
   PRIMARY KEY (cod),
  CHECK (parent_id>=0)

);



--
-- Sequences for table %PREFIX%_LINKS
--

CREATE SEQUENCE %prefix%_links_id_seq;

CREATE TABLE %prefix%_links (
   id INT4 DEFAULT nextval('%prefix%_links_id_seq'),
   category INT4  DEFAULT '0' NOT NULL,
  active BOOL  DEFAULT 'N' NOT NULL,
   name varchar(40) NOT NULL,
   url varchar(127) NOT NULL,
   count INT4  DEFAULT '0' NOT NULL,
   descr text NULL,
  obs TEXT,
  PRIMARY KEY (id),
  CHECK (category>=0),
  CHECK (count>=0)

);



--
-- Sequences for table %PREFIX%_USER_MSGS
--

CREATE SEQUENCE %prefix%_user_msgs_cod_seq;

CREATE TABLE %prefix%_user_msgs (
   cod INT4 DEFAULT nextval('%prefix%_user_msgs_cod_seq'),
  userid INT4  NOT NULL DEFAULT '0',
  folder VARCHAR(7) CHECK(folder in('inbox','sent')) NOT NULL DEFAULT 'inbox',
  DATE TIMESTAMP NOT NULL DEFAULT '0001-01-01 00:00:00',
  user_from INT4  NOT NULL DEFAULT '0',
  title varchar(80) NOT NULL DEFAULT '',
  msg_read INT2  NOT NULL DEFAULT '0',
  text TEXT DEFAULT '' NOT NULL,
  notify BOOL NOT NULL DEFAULT 'N',
  PRIMARY KEY  (cod) 
);



--
-- Sequences for table %PREFIX%_NEWSCAT
--

CREATE SEQUENCE %prefix%_newscat_cod_seq;

CREATE TABLE %prefix%_newscat (
   cod INT4 DEFAULT nextval('%prefix%_newscat_cod_seq'),
  name varchar(30) NOT NULL DEFAULT '',
  image varchar(40) NOT NULL DEFAULT '',
  PRIMARY KEY  (cod) 
);



--
-- Sequences for table %PREFIX%_NEWS
--

CREATE SEQUENCE %prefix%_news_cod_seq;

CREATE TABLE %prefix%_news (
   cod INT4 DEFAULT nextval('%prefix%_news_cod_seq'),
  category INT4  NOT NULL DEFAULT '0',
  DATE TIMESTAMP NOT NULL DEFAULT '0001-01-01 00:00:00',
  title varchar(80) NOT NULL DEFAULT '',
  userid INT4  NOT NULL DEFAULT '0',
  image varchar(40) NOT NULL DEFAULT 'none',
  align varchar(20)  DEFAULT 'left' NOT NULL,
  active char(1) NOT NULL DEFAULT 'N',
  counter INT4  NOT NULL DEFAULT '0',
  text text,
  text_ori text,
  full_text text,
  full_text_ori text,
  archived BOOL NOT NULL DEFAULT 'N',
  PRIMARY KEY  (cod)
);



--
-- Sequences for table %PREFIX%_PICOFDAYCAT
--

CREATE SEQUENCE %prefix%_picofdaycat_id_seq;

CREATE TABLE %prefix%_picofdaycat (
   id INT4 DEFAULT nextval('%prefix%_picofdaycat_id_seq'),
  name varchar(30) NOT NULL DEFAULT '',
  description text,
  PRIMARY KEY  (id)
);



--
-- Sequences for table %PREFIX%_PICOFDAY
--

CREATE SEQUENCE %prefix%_picofday_id_seq;

CREATE TABLE %prefix%_picofday (
   id INT4 DEFAULT nextval('%prefix%_picofday_id_seq'),
  category INT4  NOT NULL DEFAULT '0',
  userid INT4  NOT NULL DEFAULT '0',
  small_picture varchar(40) NOT NULL DEFAULT 'none',
  big_picture varchar(40) NOT NULL DEFAULT 'none',
  description varchar(40) DEFAULT NULL,
  full_description text,
  views INT4  NOT NULL DEFAULT '0',
  clicks INT4  NOT NULL DEFAULT '0',
  PRIMARY KEY  (id)
);

CREATE TABLE %prefix%_picofdaysel (
   DATE date NOT NULL DEFAULT '0001-01-01',
  picture_id INT4  NOT NULL DEFAULT '0',
  views INT4  NOT NULL DEFAULT '0',
  clicks INT4  NOT NULL DEFAULT '0',
  PRIMARY KEY  (date)
);



--
-- Sequences for table %PREFIX%_POLLS
--

CREATE SEQUENCE %prefix%_polls_cod_seq;

CREATE TABLE %prefix%_polls (
   cod INT4 DEFAULT nextval('%prefix%_polls_cod_seq'),
  dtstart DATE NOT NULL DEFAULT '0001-01-01',
  dtend DATE NOT NULL DEFAULT '0001-01-01',
  question TEXT DEFAULT '' NOT NULL,
  item01 varchar(40) NOT NULL DEFAULT '',
  item02 varchar(40) NOT NULL DEFAULT '',
  item03 varchar(40) DEFAULT NULL,
  item04 varchar(40) DEFAULT NULL,
  item05 varchar(40) DEFAULT NULL,
  item06 varchar(40) DEFAULT NULL,
  item07 varchar(40) DEFAULT NULL,
  item08 varchar(40) DEFAULT NULL,
  item09 varchar(40) DEFAULT NULL,
  item10 varchar(40) DEFAULT NULL,
  count01 INT4  NOT NULL DEFAULT '0',
  count02 INT4  NOT NULL DEFAULT '0',
  count03 INT4  DEFAULT '0',
  count04 INT4  DEFAULT '0',
  count05 INT4  DEFAULT '0',
  count06 INT4  DEFAULT '0',
  count07 INT4  DEFAULT NULL,
  count08 INT4  DEFAULT NULL,
  count09 INT4  DEFAULT NULL,
  count10 INT4  DEFAULT NULL,
  PRIMARY KEY  (cod)
);



--
-- Sequences for table %PREFIX%_BANNERS
--

CREATE SEQUENCE %prefix%_banners_cod_seq;

CREATE TABLE %prefix%_banners (
   cod INT2 DEFAULT nextval('%prefix%_banners_cod_seq'),
  name varchar(20) NOT NULL DEFAULT '',
  active BOOL NOT NULL DEFAULT 'N',
  image varchar(40) NOT NULL DEFAULT '',
  url_image varchar(127) NOT NULL DEFAULT '',
  url varchar(127) NOT NULL DEFAULT '',
  code text,
  views INT4  NOT NULL DEFAULT '0',
  clicks INT4  NOT NULL DEFAULT '0',
  PRIMARY KEY  (cod)
);

CREATE TABLE %prefix%_banners_rawlog (
   banner INT2  NOT NULL DEFAULT '0',
  type VARCHAR(7) CHECK(type in('view','click')) NOT NULL DEFAULT 'view',
  DATE TIMESTAMP NOT NULL DEFAULT '0001-01-01 00:00:00',
  session varchar(32) NOT NULL DEFAULT ''
);

CREATE TABLE %prefix%_banners_log (
   banner INT2  NOT NULL DEFAULT '0',
  DATE date NOT NULL DEFAULT '0001-01-01',
  views INT4  NOT NULL DEFAULT '0',
  clicks INT4  NOT NULL DEFAULT '0',
  sessions INT4  NOT NULL DEFAULT '0',
  PRIMARY KEY  (banner,date) 
);

CREATE TABLE %prefix%_articlescat (
   cod INT4  NOT NULL DEFAULT '0',
  category varchar(80) NOT NULL DEFAULT '',
  PRIMARY KEY  (cod) 
);



--
-- Sequences for table %PREFIX%_ARTICLES_TITLE
--

CREATE SEQUENCE %prefix%_articles_title_arti;

CREATE TABLE %prefix%_articles_title (
   article_id INT4 DEFAULT nextval('%prefix%_articles_title_arti'),
  category INT4  NOT NULL DEFAULT '0',
  title varchar(80) NOT NULL DEFAULT '',
  DATE date NOT NULL DEFAULT '0001-01-01',
  userid INT4  NOT NULL DEFAULT '0',
  views INT4  NOT NULL DEFAULT '0',
  PRIMARY KEY  (article_id)
);



--
-- Sequences for table %PREFIX%_ARTICLES
--

CREATE SEQUENCE %prefix%_articles_cod_seq;

CREATE TABLE %prefix%_articles (
   cod INT4 DEFAULT nextval('%prefix%_articles_cod_seq'),
  article_id INT4  NOT NULL DEFAULT '0',
  subtitle varchar(127) DEFAULT NULL,
  page INT2  DEFAULT '0',
  text TEXT DEFAULT '' NOT NULL,
  text_ori TEXT DEFAULT '' NOT NULL,
  htmlarticle INT2 DEFAULT '0',
  views INT4  NOT NULL DEFAULT '0',
  PRIMARY KEY  (cod)
);



--
-- Sequences for table %PREFIX%_FORUMS
--

CREATE SEQUENCE %prefix%_forums_cod_seq;

CREATE TABLE %prefix%_forums (
   cod INT4 DEFAULT nextval('%prefix%_forums_cod_seq'),
  title varchar(80) NOT NULL DEFAULT '',
  descr text,
  locked BOOL DEFAULT 'N',
  PRIMARY KEY (cod)

);

CREATE TABLE %prefix%_forums_mod (
   forum INT4  NOT NULL DEFAULT '0',
  userid INT4  NOT NULL DEFAULT '0',
  type VARCHAR(11) CHECK(type in('allowed','moderator')) NOT NULL DEFAULT 'allowed',
  PRIMARY KEY (forum,userid,type),
  CHECK (forum>=0),
  CHECK (userid>=0)

);



--
-- Sequences for table %PREFIX%_FORUM_MSGS
--

CREATE SEQUENCE %prefix%_forum_msgs_cod_seq;

CREATE TABLE %prefix%_forum_msgs (
   cod INT4 DEFAULT nextval('%prefix%_forum_msgs_cod_seq'),
  forum INT4  NOT NULL DEFAULT '0',
  msg_ref INT4  NOT NULL DEFAULT '0',
  DATE TIMESTAMP NOT NULL DEFAULT '0001-01-01 00:00:00',
  userid INT4  NOT NULL DEFAULT '0',
  title varchar(80) NOT NULL DEFAULT '',
  text_ori TEXT DEFAULT '' NOT NULL,
  date_der TIMESTAMP DEFAULT NULL,
  views INT4  NOT NULL DEFAULT '0',
  closed BOOL DEFAULT 'N',
  sticky INT2 NOT NULL DEFAULT '0',
  modifiedtime INT8 NOT NULL DEFAULT '0',
  modifiedname text,
  notifies TEXT DEFAULT '' NOT NULL,
  PRIMARY KEY  (cod,forum,msg_ref)
);

CREATE TABLE %prefix%_forum_log_topics (
   uid INT4 NOT NULL DEFAULT '0',
  msgid INT4 NOT NULL DEFAULT '0',
  logtime INT8 DEFAULT NULL,
  notifysent BOOL NOT NULL DEFAULT 'N',PRIMARY KEY  (uid,msgid)
);



--
-- Sequences for table %PREFIX%_SIDEBOXES
--

CREATE SEQUENCE %prefix%_sideboxes_cod_seq;

CREATE TABLE %prefix%_sideboxes (
   cod INT4 DEFAULT nextval('%prefix%_sideboxes_cod_seq'),
  pos INT4  NOT NULL DEFAULT '0',
  side varchar(5) NOT NULL DEFAULT '',
  onlyindex INT2  NOT NULL DEFAULT '0',
  title varchar(80) NOT NULL DEFAULT '',
  content text,
  file varchar(40) NOT NULL DEFAULT 'none',
  type VARCHAR(1) CHECK(type in('A','L','N')) NOT NULL DEFAULT 'A',
  function varchar(50) NULL,
  PRIMARY KEY  (cod) 
);



--
-- Sequences for table %PREFIX%_GUESTBOOK
--

CREATE SEQUENCE %prefix%_guestbook_id_seq;

CREATE TABLE %prefix%_guestbook (
  id INT4 DEFAULT nextval('%prefix%_guestbook_id_seq'),
  datum TIMESTAMP NOT NULL DEFAULT '0001-01-01 00:00:00',
  naam varchar(20) DEFAULT NULL,
  email varchar(80) DEFAULT NULL,
  homepage varchar(80) DEFAULT NULL,
  plaats varchar(25) DEFAULT NULL,
  tekst text,
   PRIMARY KEY  (id)
);


INSERT INTO %prefix%_sideboxes VALUES(1,'1','left','0','Menu',NULL,'none','A','draw_menu');
INSERT INTO %prefix%_sideboxes VALUES(2,'2','left','0','Login box',NULL,'none','A','draw_login_box');
INSERT INTO %prefix%_sideboxes VALUES(3,'3','left','0','Users Online',NULL,'none','A','draw_users_online');
INSERT INTO %prefix%_sideboxes VALUES(4,'4','left','0','Admin Box',NULL,'none','L','draw_admin_box');
INSERT INTO %prefix%_sideboxes VALUES(5,'5','left','0','Pending Actions',NULL,'none','A','draw_pending_actions');
INSERT INTO %prefix%_config VALUES('core','a:22:{s:5:\"title\";s:12:\"phpTTJournal\";s:3:\"url\";s:17:\"http://localhost/\";s:8:\"keywords\";s:22:\"php,mysql,phpTTJournal\";s:11:\"description\";s:56:\"phpTTJournal is an application to create a cool web site\";s:10:\"name_admin\";s:9:\"Webmaster\";s:10:\"mail_admin\";s:16:\"nobody@localhost\";s:4:\"lang\";s:4:\"cz\";s:5:\"theme\";s:2:\"orange\";s:8:\"show_map\";b:0;s:11:\"date_format\";s:6:\"fmtSQL\";s:16:\"email_activation\";b:1;s:13:\"mail_new_user\";b:1;s:14:\"page_processed\";b:1;s:7:\"avatars\";b:1;s:14:\"avatars_folder\";s:12:\"var/avatars/\";s:15:\"question1_small\";s:10:\"Desktop 0S\";s:13:\"question1_big\";s:31:\"OS used to <i>develop</i> sites\";s:16:\"question1_values\";s:41:\"Linux,Windows,MAC/OS,OS/2,BeOS,Unix,Other\";s:15:\"question2_small\";s:9:\"Server OS\";s:13:\"question2_big\";s:28:\"OS used as <i>web server</i>\";s:16:\"question2_values\";s:41:\"Linux,Windows,MAC/OS,OS/2,BeOS,Unix,Other\";s:13:\"sendmail_qtde\";s:3:\"300\";}');
INSERT INTO %prefix%_config VALUES('modules','a:13:{s:8:\"articles\";b:0;s:7:\"banners\";b:0;s:8:\"comments\";b:0;s:7:\"contact\";b:0;s:9:\"downloads\";b:0;s:4:\"faqs\";b:0;s:7:\"fileman\";b:0;s:5:\"forum\";b:0;s:5:\"links\";b:0;s:8:\"messages\";b:0;s:4:\"news\";b:0;s:8:\"picofday\";b:0;s:5:\"polls\";b:0;}');


--
-- Indexes for table %PREFIX%_ARTICLES
--

CREATE UNIQUE INDEX ArticleInd_%prefix%_articles_index ON %prefix%_articles (article_id,page);

--
-- Indexes for table %PREFIX%_GUESTBOOK
--

CREATE INDEX datum_%prefix%_guestbook_index ON %prefix%_guestbook (datum);

--
-- Indexes for table %PREFIX%_COMMENTS
--

CREATE INDEX MainInd_%prefix%_comments_index ON %prefix%_comments (type,link,date);

--
-- Indexes for table %PREFIX%_ARTICLES_TITLE
--

CREATE INDEX CatInd_%prefix%_articles_title_index ON %prefix%_articles_title (category,date);

--
-- Indexes for table %PREFIX%_PICOFDAY
--

CREATE INDEX ClickInd_%prefix%_picofday_index ON %prefix%_picofday (clicks);

--
-- Indexes for table %PREFIX%_POLLS
--

CREATE UNIQUE INDEX dtstInd_%prefix%_polls_index ON %prefix%_polls (dtstart);

--
-- Indexes for table %PREFIX%_USERS
--

CREATE UNIQUE INDEX email_%prefix%_users_index ON %prefix%_users (email);
CREATE UNIQUE INDEX name_%prefix%_users_index ON %prefix%_users (name);
CREATE INDEX listInd_%prefix%_users_index ON %prefix%_users (country,name);

--
-- Indexes for table %PREFIX%_BANNERS
--

CREATE INDEX activeInd_%prefix%_banners_index ON %prefix%_banners (active);

--
-- Indexes for table %PREFIX%_NEWS
--

CREATE INDEX DATE_%prefix%_news_index ON %prefix%_news (date);

--
-- Indexes for table %PREFIX%_FAQ
--

CREATE INDEX topic_%prefix%_faq_index ON %prefix%_faq (topic);

--
-- Indexes for table %PREFIX%_FORUM_MSGS
--

CREATE INDEX msg_ref_%prefix%_forum_msgs_index ON %prefix%_forum_msgs (msg_ref);
CREATE INDEX categorie_%prefix%_forum_msgs_index ON %prefix%_forum_msgs (forum);

--
-- Indexes for table %PREFIX%_DOWNLOADS
--

CREATE INDEX category_%prefix%_downloads_index ON %prefix%_downloads (category);

--
-- Indexes for table %PREFIX%_BANNERS_RAWLOG
--

CREATE INDEX bannerInd_%prefix%_banners_rawlog_index ON %prefix%_banners_rawlog (banner,type,date);

--
-- Indexes for table %PREFIX%_LINKS
--

CREATE INDEX category_%prefix%_links_index ON %prefix%_links (category);

--
-- Indexes for table %PREFIX%_LINKSCAT
--

CREATE INDEX parentInd_%prefix%_linkscat_index ON %prefix%_linkscat (parent_id);

--
-- Indexes for table %PREFIX%_PICOFDAYCAT
--

CREATE INDEX name_%prefix%_picofdaycat_index ON %prefix%_picofdaycat (name);

--
-- Indexes for table %PREFIX%_PICOFDAYSEL
--

CREATE INDEX picture_id_%prefix%_picofdaysel_index ON %prefix%_picofdaysel (picture_id);

--
-- Sequences for table %PREFIX%_ARTICLES
--

SELECT SETVAL('%prefix%_articles_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from %prefix%_articles));

--
-- Sequences for table %PREFIX%_USER_MSGS
--

SELECT SETVAL('%prefix%_user_msgs_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from %prefix%_user_msgs));

--
-- Sequences for table %PREFIX%_GUESTBOOK
--

SELECT SETVAL('%prefix%_guestbook_id_seq',(select case when max(id)>0 then max(id)+1 else 1 end from %prefix%_guestbook));

--
-- Sequences for table %PREFIX%_COMMENTS
--

SELECT SETVAL('%prefix%_comments_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from %prefix%_comments));

--
-- Sequences for table %PREFIX%_ARTICLES_TITLE
--

SELECT SETVAL('%prefix%_articles_title_arti',(select case when max(article_id)>0 then max(article_id)+1 else 1 end from %prefix%_articles_title));

--
-- Sequences for table %PREFIX%_PICOFDAY
--

SELECT SETVAL('%prefix%_picofday_id_seq',(select case when max(id)>0 then max(id)+1 else 1 end from %prefix%_picofday));

--
-- Sequences for table %PREFIX%_POLLS
--

SELECT SETVAL('%prefix%_polls_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from %prefix%_polls));

--
-- Sequences for table %PREFIX%_USERS
--

SELECT SETVAL('%prefix%_users_uid_seq',(select case when max(uid)>0 then max(uid)+1 else 1 end from %prefix%_users));

--
-- Sequences for table %PREFIX%_BANNERS
--

SELECT SETVAL('%prefix%_banners_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from %prefix%_banners));

--
-- Sequences for table %PREFIX%_FORUMS
--

SELECT SETVAL('%prefix%_forums_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from %prefix%_forums));

--
-- Sequences for table %PREFIX%_NEWS
--

SELECT SETVAL('%prefix%_news_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from %prefix%_news));

--
-- Sequences for table %PREFIX%_DOWNLOADSCAT
--

SELECT SETVAL('%prefix%_downloadscat_cod_se',(select case when max(cod)>0 then max(cod)+1 else 1 end from %prefix%_downloadscat));

--
-- Sequences for table %PREFIX%_FAQ
--

SELECT SETVAL('%prefix%_faq_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from %prefix%_faq));

--
-- Sequences for table %PREFIX%_SIDEBOXES
--

SELECT SETVAL('%prefix%_sideboxes_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from %prefix%_sideboxes));

--
-- Sequences for table %PREFIX%_FORUM_MSGS
--

SELECT SETVAL('%prefix%_forum_msgs_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from %prefix%_forum_msgs));

--
-- Sequences for table %PREFIX%_DOWNLOADS
--

SELECT SETVAL('%prefix%_downloads_id_seq',(select case when max(id)>0 then max(id)+1 else 1 end from %prefix%_downloads));

--
-- Sequences for table %PREFIX%_FAQ_TOPICS
--

SELECT SETVAL('%prefix%_faq_topics_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from %prefix%_faq_topics));

--
-- Sequences for table %PREFIX%_NEWSCAT
--

SELECT SETVAL('%prefix%_newscat_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from %prefix%_newscat));

--
-- Sequences for table %PREFIX%_LINKS
--

SELECT SETVAL('%prefix%_links_id_seq',(select case when max(id)>0 then max(id)+1 else 1 end from %prefix%_links));

--
-- Sequences for table %PREFIX%_PICOFDAYCAT
--

SELECT SETVAL('%prefix%_picofdaycat_id_seq',(select case when max(id)>0 then max(id)+1 else 1 end from %prefix%_picofdaycat));

--
-- Sequences for table %PREFIX%_LINKSCAT
--

SELECT SETVAL('%prefix%_linkscat_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from %prefix%_linkscat));

COMMIT;

