<?php
if (strstr($_SERVER["PHP_SELF"], "/core/"))  die ("You can't access this file directly...");

if( !isset($cfg["core"]["theme"]) ) $cfg["core"]["theme"] = "bg";
require( "themes/".$cfg["core"]["theme"]."/th_functions.php" );

function draw_header_tag()
{
  global $cfg;
	print "<head>\n<LINK REL=\"SHORTCUT ICON\" HREF=\"".$cfg["core"]["url"]."../favicon.ico\">\n";
	echo '<link rel="alternate" title="News info " href="wtnews.rss" type="application/rss+xml" />'."\n";
	print "<title>";
	draw_page_title();
	print "</title>\n";
	theme_draw_style();
	draw_header_code();
  if( check_user_class("admin") ) include_once("htmlarea.php");
	print "</head>\n";
}

function draw_page_title()
{
    global $page_name, $cfg;
    $txt = $cfg["core"]["title"];
    if( isset($page_name) ) $txt .= " - ".$page_name;
    print $txt;
}

function draw_header_code()
{
	global $lang, $cfg, $config;
	echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=".$lang["CHARSET"]."\">\n"
		."<meta http-equiv=\"Generator\" content=\"phpTTJournal ".$config["phpttjournal"]["version"]."\">\n"
		."<meta name=\"Keywords\" content=\"".$cfg["core"]["keywords"]."\">\n"
		."<meta name=\"Description\" content=\"".$cfg["core"]["description"]."\">\n"
		."<meta name=\"DC.Description\" content=\"".$cfg["core"]["description"]."\">\n"
		."<meta name=\"copyright\" content=\"".$cfg["core"]["copyright"]."\">\n"
		."<meta name=\"title\" content=\"".$cfg["core"]["title"]."\">\n"
    ."<meta name=\"date\" content=\"".date("Y-m-d")."\">\n"
    ."<meta name=\"robots\" content=\"index,follow\">\n"
    ."<meta name=\"revisit-after\" content=\"after 30 days\">\n"
    ."<meta name=\"pragma\" content=\"no-cache\">\n"
    ."<meta http-equiv=\"Pragma\" content=\"no-cache\">\n";
}

function draw_copyright()
{
    global $cfg, $time_start, $lang, $qtde_qry,$config;
    echo "&nbsp;Vytvoeno redaknm systmem <a href=\"http://www.phpttjournal.name\" target=\"_blank\">phpTTJournal</a> ".$config["phpttjournal"]["version"].".";
    echo "<BR>".$cfg["core"]["copyright"];
    if( $cfg["core"]["page_processed"] )
      printf( "<br><span class=\"pgprocessed\">&nbsp;&nbsp;".$lang["PAGE_PROCESSED"]." - ".$qtde_qry." queries<br><br></span>",(getmicrotime() - $time_start));
    else echo "&nbsp;";
}

function theme_draw_style()
{
	global $modules, $config, $cfg;
	
    print "<link href=\"themes/".$cfg["core"]["theme"]."/style.css\" rel=\"stylesheet\" type=\"text/css\">\n";
    print "<link href=\"themes/".$cfg["core"]["theme"]."/forms.css\" rel=\"stylesheet\" type=\"text/css\">\n";
    print "<link href=\"themes/".$cfg["core"]["theme"]."/lists.css\" rel=\"stylesheet\" type=\"text/css\">\n";
	reset($modules);
	while( $mod = each($modules) ) {
		if( $mod[1] ) {
			if( isset($config["stylecss"][$mod[0]]) && $config["stylecss"][$mod[0]] )
			{
				print "<link href=\"themes/".$cfg["core"]["theme"]."/".$mod[0].".css\" rel=\"stylesheet\" type=\"text/css\">\n";
			}
		}
	}
}

function draw_pending_actions()
{
	if( !$_SESSION["wt"]["logged"] ) return;
	global $pending_actions;
	if( count($pending_actions) == 0 ) return;
	theme_draw_leftbox_open( "Pending actions" );
	print "<table border=0 cellpadding=1 cellspacing=0>\n";
	reset($pending_actions);
	while( $item = each($pending_actions) )
	{
		print "<tr><td><a href=\"".$item[1]["link"]."\">".$item[1]["title"]
         ."</a></td><td align=\"right\">".$item[1]["qty"]."</td></tr>\n";
	}
	print "</table>";
	theme_draw_leftbox_close();
}

function draw_sideboxes($side)
{
	global $index_page, $config,$cfg,$module_name,$module_loaded;
	$stmt = "select * from ".$config["prefix"]."_sideboxes where side='".$side."' AND active=1  order by pos";
	$ret = db_query($stmt);
	print db_error();
	while($row=db_fetch_array($ret))
	{
		if(isset($row["type"])) $type=$row["type"];
		if( $type != "A" ) {
			if( $type == "L" ) {
				if( !$_SESSION["wt"]["logged"] ) continue;
			} else if(  $type == "N" ) {
				if( $_SESSION["wt"]["logged"] ) continue;
			}
		}
		$mods=array();
		$mods=explode(',',$row["modules"]);
		if (count($mods)==1 and $mods[0]=="") $mods=array();
		if (count($mods)>0)
		{
		  if (isset($module_loaded)){
        if (!in_array($module_loaded,$mods)) continue;
      }
//      else continue;
    }
		if( !empty($row["function"]) )
		{
		  if ($row["function"]=="draw_language_select" and !$cfg["core"]["unreglangchange"]) continue;
	    else
		    if ($row["function"]=="draw_theme_select" and !$cfg["core"]["unregthemechange"]) continue;
		    else
        {
          if (function_exists($row["function"])) $row["function"]($row["side"]);
		      continue;
        }
		}
		if( $side == "left" ) theme_draw_leftbox_open( $row["title"] );
		else theme_draw_rightbox_open( $row["title"] );
		if( strlen($row["file"]) > 0 && $row["file"] != "none" && $row["file"] != "index"  )
		{
			include_once( "sideboxes/".$row["file"].".php" );
		}
		else
		{
			echo $row["content"];
		}
		if( $side == "left" ) theme_draw_leftbox_close();
		else theme_draw_rightbox_close();
	}
	db_free_result($ret);
}

function draw_centerboxes($id)
{
	global $config;

	$stmt = "SELECT * FROM ".$config["prefix"]."_centerboxes
          WHERE active = 1
          AND (menuoption = '".$id."'
          OR oneverypage = 1)
          ORDER BY oneverypage DESC,pos";
	$ret  = db_query($stmt);
  while($row=db_fetch_array($ret))
  {
    if (isset($row["type"])) $type=$row["type"];
    elseif (isset($row["TYPE"])) $type=$row["TYPE"];
    if( $type != "A" ) {
      if( $type == "L" ) {
        if( !$_SESSION["wt"]["logged"] ) continue;
      }
      else if(  $type == "N" ) {
          if( $_SESSION["wt"]["logged"] ) continue;
      }
    }
    draw_cb_content($row);
  }

  db_free_result($ret);
}

function draw_cb_content($row)
{
  if ($row["draw_box"]=='Y') theme_draw_centerbox_open( $row["title"] );
  if( strlen($row["file"]) > 0
      && $row["file"] != "none"
      && $row["file"] != "index.php"  )
        include_once( "centerboxes/".$row["file"] );
  else  echo $row["content"];
  if ($row["draw_box"]=='Y') theme_draw_centerbox_close( );
}
?>
