BEGIN;

CREATE TABLE wt_articlescat (

  cod INT4  NOT NULL DEFAULT '0',

  category varchar(80) NOT NULL DEFAULT '',

  PRIMARY KEY  (cod)

);

CREATE SEQUENCE wt_articles_title_article_id;

CREATE TABLE wt_articles_title (

  article_id INT4 DEFAULT nextval('wt_articles_title_article_id'),

  category INT4  NOT NULL DEFAULT '0',

  title varchar(80) NOT NULL DEFAULT '',

  active INT2 DEFAULT '1',

  DATE date NOT NULL DEFAULT '0001-01-01',

  userid INT4  NOT NULL DEFAULT '0',

  views INT4  NOT NULL DEFAULT '0',

  PRIMARY KEY  (article_id)

);

CREATE SEQUENCE wt_articles_cod_seq;

CREATE TABLE wt_articles (

  cod INT4 DEFAULT nextval('wt_articles_cod_seq'),

  article_id INT4  NOT NULL DEFAULT '0',

  subtitle varchar(127) DEFAULT NULL,

  page INT2  DEFAULT '0',

  text TEXT DEFAULT '' NOT NULL,

  text_ori TEXT DEFAULT '' NOT NULL,

  views INT4  NOT NULL DEFAULT '0',

  PRIMARY KEY  (cod)

);

CREATE UNIQUE INDEX ArticleInd_wt_articles_index ON wt_articles (article_id,page);

CREATE INDEX CatInd_wt_articles_title_index ON wt_articles_title (category,date);

SELECT SETVAL('wt_articles_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from wt_articles));

SELECT SETVAL('wt_articles_title_article_id',(select case when max(article_id)>0 then max(article_id)+1 else 1 end from wt_articles_title));

COMMIT;

