BEGIN;

CREATE SEQUENCE wt_downloadscat_cod_seq;

CREATE TABLE wt_downloadscat (

  cod INT4 DEFAULT nextval('wt_downloadscat_cod_seq'),

  name varchar(80) NOT NULL DEFAULT '',

  descr TEXT DEFAULT '' NOT NULL,

  ref INT4  DEFAULT '0' NOT NULL ,

  PRIMARY KEY  (cod)

);

CREATE SEQUENCE wt_downloads_id_seq;

CREATE TABLE wt_downloads (

  id INT4 DEFAULT nextval('wt_downloads_id_seq'),

  category INT4  NOT NULL DEFAULT '0',

  name varchar(30) NOT NULL DEFAULT '',

  active BOOL  DEFAULT 'N' NOT NULL,

  url varchar(255) NOT NULL DEFAULT '',

  DATE TIMESTAMP NOT NULL DEFAULT '0001-01-01 00:00:00',

  size INT4  NOT NULL DEFAULT '0',

  count INT4  NOT NULL DEFAULT '0',

  rate_sum INT4  NOT NULL DEFAULT '0',

  rate_count INT4  NOT NULL DEFAULT '0',

  short_description TEXT DEFAULT '' NOT NULL,

  description TEXT DEFAULT '' NOT NULL,

  small_picture varchar(40) NOT NULL DEFAULT 'none',

  big_picture varchar(40) NOT NULL DEFAULT 'none',

  license VARCHAR(1) CHECK(type in('Y','N')) NOT NULL DEFAULT 'N',

  PRIMARY KEY  (id)

);

ALTER TABLE wt_downloads ADD author_name VARCHAR(30);

ALTER TABLE wt_downloads ADD author_email VARCHAR(50);

ALTER TABLE wt_downloads ADD comments TEXT;

ALTER TABLE wt_downloads ADD url_screenshot VARCHAR(127);

ALTER TABLE wt_downloadscat ADD ref INT4 NOT NULL DEFAULT '0';

ALTER TABLE wt_downloads ADD license VARCHAR(1) CHECK(type in('Y','N')) NOT NULL DEFAULT 'N';

CREATE INDEX category_wt_downloads_index ON wt_downloads (category);

SELECT SETVAL('wt_downloads_id_seq',(select case when max(id)>0 then max(id)+1 else 1 end from wt_downloads));

SELECT SETVAL('wt_downloadscat_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from wt_downloadscat));

COMMIT;

