BEGIN;

CREATE TABLE wt_forum_log_topics (

  uid INT4 NOT NULL DEFAULT '0',

  msgid INT4 NOT NULL DEFAULT '0',

  logtime INT8 DEFAULT NULL,

  notifysent BOOL NOT NULL DEFAULT 'N',

  PRIMARY KEY  (uid,msgid)

);

CREATE SEQUENCE wt_forum_msgs_cod_seq;

CREATE TABLE wt_forum_msgs (

  cod INT4 DEFAULT nextval('wt_forum_msgs_cod_seq'),

  forum INT4  NOT NULL DEFAULT '0',

  msg_ref INT4  NOT NULL DEFAULT '0',

  DATE TIMESTAMP NOT NULL DEFAULT '0001-01-01 00:00:00',

  userid INT4  NOT NULL DEFAULT '0',

  title varchar(80) NOT NULL DEFAULT '',

  text_ori TEXT DEFAULT '' NOT NULL,

  date_der TIMESTAMP DEFAULT NULL,

  views INT4  NOT NULL DEFAULT '0',

  closed BOOL DEFAULT 'N',

  sticky INT2 NOT NULL DEFAULT '0',

  modifiedtime INT8 NOT NULL DEFAULT '0',

  modifiedname text,

  notifies TEXT DEFAULT '' NOT NULL,

  PRIMARY KEY  (cod,forum,msg_ref)

);

CREATE SEQUENCE wt_forums_cod_seq;

CREATE TABLE wt_forums (

  cod INT4 DEFAULT nextval('wt_forums_cod_seq'),

  title varchar(80) NOT NULL DEFAULT '',

  descr text,

  locked BOOL DEFAULT 'N',

  PRIMARY KEY  (cod)

);

CREATE TABLE wt_forums_mod (

  forum INT4  NOT NULL DEFAULT '0',

  userid INT4  NOT NULL DEFAULT '0',

  type VARCHAR(11) CHECK(type in('allowed','moderator')) NOT NULL DEFAULT 'allowed',

  PRIMARY KEY  (forum,userid,type)

);

CREATE INDEX msg_ref_wt_forum_msgs_index ON wt_forum_msgs (msg_ref);

CREATE INDEX categorie_wt_forum_msgs_index ON wt_forum_msgs (forum);

SELECT SETVAL('wt_forum_msgs_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from wt_forum_msgs));

SELECT SETVAL('wt_forums_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from wt_forums));

COMMIT;

